## debian-codesearch-cli 1.0.0

=== debian/changelog ===
debian-codesearch-cli (1.0.0) unstable; urgency=medium

  * Initial release (Closes: #984752).

 -- Federico Ceratto <federico@debian.org>  Sun, 30 Jun 2024 17:41:52 +0200

## debian-codesearch-cli 1.0.0+nmu1

=== debian_codesearch_client/requirements.txt ===
certifi >= 14.05.14
six >= 1.10
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1

=== debian/changelog ===
debian-codesearch-cli (1.0.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.
    (Closes: #1082931, #1079397)

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 18:50:47 -0500

=== debian/control ===
Source: debian-codesearch-cli
Section: devel
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-certifi,
 python3-dateutil,
 python3-poetry-core,
 python3-six,
 python3-urllib3,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://salsa.debian.org/debian/codesearch-cli/
Vcs-Browser: https://salsa.debian.org/debian/codesearch-cli
Vcs-Git: https://salsa.debian.org/debian/codesearch-cli.git

Package: debian-codesearch-cli
Architecture: all
Multi-Arch: foreign
Depends:
 python3,
 ${python3:Depends},
 ${misc:Depends},
Description: client for Debian Code Search
 Simple client for the Debian Code Search service.
 Provides a Python library and a CLI tool named "codesearch"

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=codesearch-cli

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ./debian_codesearch_client/.swagger-codegen/

override_dh_auto_test:
	true

override_dh_installman:
	dh_installman ./debian/codesearch.1

## debian-codesearch-cli 1.0.0+nmu2

=== debian/changelog ===
debian-codesearch-cli (1.0.0+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependeny on python3-six an more Python 2 leftovers.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 15:26:36 +0200

## debian-codesearch-cli 1.0.0+nmu3

=== debian_codesearch_client/requirements.txt ===
certifi >= 14.05.14
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.15.1

=== debian/changelog ===
debian-codesearch-cli (1.0.0+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add option "--only-package" to only print matching source package name
    This can be for example piped to "| dd-list -i"

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 12:17:57 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,9 @@
  python3-certifi,
  python3-dateutil,
  python3-poetry-core,
- python3-six,
  python3-urllib3,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://salsa.debian.org/debian/codesearch-cli/
 Vcs-Browser: https://salsa.debian.org/debian/codesearch-cli
 Vcs-Git: https://salsa.debian.org/debian/codesearch-cli.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=codesearch-cli

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf ./debian_codesearch_client/.swagger-codegen/

override_dh_auto_test:
	true

execute_after_dh_install:
	find debian/ -name .gitignore -print -delete
